Bug 225699 - Merge Review: dmraid
Merge Review: dmraid
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:28 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:18 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:28:38 EST
Fedora Merge Review: dmraid

http://cvs.fedora.redhat.com/viewcvs/devel/dmraid/
Initial Owner: lvm-team@redhat.com
Comment 1 Susi Lehtola 2009-03-24 10:34:59 EDT
Taking on review.


A few quick notes:
- Is Requires: ldconfig really necessary, as this is part of glibc?

- Source should be Source0.

- Why do you have
--prefix=${RPM_BUILD_ROOT}/usr --sbindir=${RPM_BUILD_ROOT}/sbin --libdir=${RPM_BUILD_ROOT}/%{_libdir} --mandir=${RPM_BUILD_ROOT}/%{_mandir} --includedir=${RPM_BUILD_ROOT}/%{_includedir}
as an argument to %configure? Isn't plain %configure with the other extra flags enough?

- Also, why do you
install -m 755 -d $RPM_BUILD_ROOT{%{_libdir},/sbin,%{_sbindir},%{_bindir},%{_libdir},%{_includedir}/dmraid/,/var/lock/dmraid}
isn't this automatically done by make install?

- Wouldn't using --enable-shared_lib prevent the need to remove the static library?
Comment 2 Susi Lehtola 2009-06-14 12:14:59 EDT
ping lvm-team
Comment 3 Susi Lehtola 2009-08-05 07:24:55 EDT
ping again?
Comment 4 Susi Lehtola 2010-01-01 17:44:12 EST
3rd ping to lvm-team. Please respond.
Comment 5 Zdenek Kabelac 2011-01-13 04:45:19 EST
(In reply to comment #4)
> 3rd ping to lvm-team. Please respond.

Are these problems already fixed with current releases of lvm2 rpm (RHEL6) ?
Comment 6 Zdenek Kabelac 2011-01-13 04:46:01 EST
(In reply to comment #5)
> (In reply to comment #4)
> > 3rd ping to lvm-team. Please respond.
> 
> Are these problems already fixed with current releases of lvm2 rpm (RHEL6) ?

And Fedora Rawhide of course
Comment 7 Zdenek Kabelac 2011-01-13 04:54:02 EST
Ok - dmraid packages has older spec files then  lvm2 packages - so it needs to be updated (probably some upstream package changes might be needed as well). 

Reported problems needs to be resolved in a similar way as they were fixed for lvm2 package.

ldconfig is IMHO necessary as libdmraid library is installed into the system.
Comment 8 Cole Robinson 2015-02-11 15:36:03 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 9 Jan Kurik 2015-07-15 11:26:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Fedora End Of Life 2016-11-24 05:18:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.